Bug 159737 - Full screen ePub embedded video is playing on 1/4 screen, cut off
Summary: Full screen ePub embedded video is playing on 1/4 screen, cut off
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL: InRadar
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-07-13 14:27 PDT by Jer Noble
Modified: 2016-07-15 13:43 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.70 KB, patch)
2016-07-13 14:34 PDT, Jer Noble
thorton: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2016-07-13 14:27:51 PDT
Full screen ePub embedded video is playing on 1/4 screen, cut off
Comment 1 Jer Noble 2016-07-13 14:28:10 PDT
<rdar://problem/26259404>
Comment 2 Radar WebKit Bug Importer 2016-07-13 14:28:33 PDT
<rdar://problem/27332427>
Comment 3 Jer Noble 2016-07-13 14:34:47 PDT
Created attachment 283566 [details]
Patch
Comment 4 Tim Horton 2016-07-13 14:38:09 PDT
Comment on attachment 283566 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=283566&action=review

> Source/WebKit2/UIProcess/Cocoa/WebViewImpl.mm:1010
> +        setFixedLayoutSize(CGSizeZero);

Somewhat surprising that WKViewFixedSizeLayoutStrategy doesn't do this in willChangeLayoutStrategy. Maybe it should be there? I don't know.
Comment 5 Tim Horton 2016-07-13 14:38:45 PDT
Also somewhat concerned that something is using the fixed layout size when fixed layout is off... seems bad.
Comment 6 Jon Lee 2016-07-14 14:01:32 PDT
<rdar://problem/26259404>
Comment 7 Dean Jackson 2016-07-15 13:43:34 PDT
Committed r203295: <http://trac.webkit.org/changeset/203295>